Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01022 Side-by-side Minor Have not tried Feb 8, 2008, 13:11 Oct 7, 2019, 22:31
Tester Gary Walton View Status Public Platform
Assigned To AJR Resolution Fixed OS
Status [?] Resolved Driver docastle.cpp
Version 0.37b9 Fixed in Version 0.197 Build
Summary 01022: dowild: "Mr Do's Wild Ride" side-by-side test.
Description Test Conditions:
Pure DOS
Mame 37b9
Original PCB ( from which roms were taken ).
Test Date: 18th November 2000

Colours: As per Mr Do, there are some colours differences. Turning the gamma down to 0.50 makes them more accurate. "Mr Do's" is red, orange and yellow in the arcade as opposed to red, brown and yellow under emulation. "Wild Ride" is crimson as opposed to purple.

Speed: Mame was faster - gaining 11 seconds after 17 minutes.
Sound: Excellent. Same as PCB.

Other issues:

The only other bug, apart from the colours, is the bonuses (shown in the top right hand corner). These are changed each time Mr Do grabs a cherry. They are *NOT* random in terms of the attract mode - they are the same, repeatable sequence, each time the PCB is switched on.

Mr Do plays the first scene repeatedly, with the title screen and high scores in between. Mr Do grabs 'EXTRA' letters each scene to eventually get an extra Mr Do.

Here are the bonus sequences for the first two scene 1's: ('B' is a bonus item, not a letter).

  1st time,

  E E ( Start )
  R T
  A T <--- Mame goes wrong here, giving B B.
  B E
  T E
  R A
  B A
  B E
  X B

  2nd time,

  B A
  R E
  T T
  B B
  E E
  A E
  T A
  E B
  R T

Mr Do grabs letters as follows:

  1) X
  2) R T
  3) None
  4) A
  5) None
  6) R ( Already got )
  7) E and Extra man.

The point at which mame goes wrong is marked above. Mame does eventually get an
extra man but in a different sequence.

Note that after Mr Do gets an extra man in the PCB, the sequence does not go back
to the above, but starts again with a different (repeatable) sequence. B B is the start.
Steps To Reproduce
Additional Information
Flags Verified with Original
Regression Version
Affected Sets / Systems dowild
Attached Files
 
Relationships
related to 01021Confirmed dorunrun2: Side-by-side test. 
Notes
1
User avatar
No.17052
MetalGod
Senior Tester
Oct 7, 2019, 22:19
edited on: Oct 7, 2019, 22:34
Tested in mame 0.214:
The 2 bugs indicated in this report were:
1) Bad colors in title logo
2) Different BONUS letters sequence.

Both errors doesn't happen in current MAME. They are fixed. The colors in mr.do logo are the same as described for the pcb: red, orange and yellow. "Wild Ride" is also Crimsom.
All the bonus sequences are right.

Video recorded from mame 0.214 to check the bonuses sequences order:


Attract BONUS sequence fixed in mame 0.197 by AJR:
- 0.197: Replaced MCFG_CPU_VBLANK_INT with CRTC callbacks [AJR].